import { axios } from '@/utils/request'
// 加盟商数量
export function countSubareaDealerQty () {
  return axios({
    url: '/report/dealerLs/countSubareaDealerQty',
    method: 'get',
    headers:{
      'module': encodeURIComponent('加盟商数量')
    }
  })
}
// 加盟商分布统计
export function countProvinceDealerQty () {
  return axios({
    url: '/report/dealerLs/countProvinceDealerQty',
    method: 'get',
    headers:{
      'module': encodeURIComponent('加盟商分布统计')
    }
  })
}
// 产品数量统计
export function countLevelProductQty () {
  return axios({
    url: '/report/productLs/countLevelProductQty',
    method: 'get',
    headers:{
      'module': encodeURIComponent('产品数量统计')
    }
  })
}
// 实时销售看板-区域销售金额占比
export function queryAreaSaleAmount (params) {
  return axios({
    url: '/report/dataScreen/queryAreaSaleAmount',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('区域销售金额占比')
    }
  })
}
// 实时销售看板-品类销售分布
export function queryBrandTypeSaleAmount (params) {
  return axios({
    url: '/report/dataScreen/queryBrandTypeSaleAmount',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('品类销售分布')
    }
  })
}
// 实时销售看板-地图
export function queryMapSaleData (params) {
  return axios({
    url: '/report/dataScreen/queryMapSaleData',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('地图数据')
    }
  })
}
// 实时销售看板-销售金额top15省份
export function queryProvinceSaleAmount (params) {
  return axios({
    url: '/report/dataScreen/queryProvinceSaleAmount',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('销售金额top15省份')
    }
  })
}
// 实时销售看板-本月/周销售
export function querySaleMonthWeek () {
  return axios({
    url: '/report/dataScreen/querySaleMonthWeek',
    method: 'get',
    headers:{
      'module': encodeURIComponent('本月/周销售')
    }
  })
}
// 实时销售看板-今日销售
export function querySaleToday () {
  return axios({
    url: '/report/dataScreen/querySaleToday',
    method: 'get',
    headers:{
      'module': encodeURIComponent('今日销售')
    }
  })
}
// 实时销售看板-销售趋势分析
export function querySaleTrend (params) {
  return axios({
    url: '/report/dataScreen/querySaleTrend',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('销售趋势分析')
    }
  })
}
 
// 加盟商/产品分析-采购金额TOP100加盟商
export function queryDealerPurchase (params) {
  return axios({
    url: '/report/dataScreen/queryDealerPurchase',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('采购金额TOP100加盟商')
    }
  })
}

// 加盟商/产品分析-销售数量/金额TOP100产品
export function queryProductPurchase (params) {
  return axios({
    url: '/report/dataScreen/queryProductPurchase',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('销售数量/金额TOP100产品')
    }
  })
}