import { axios } from '@/utils/request'

//  易码通商城列表  无分页
export const shopCategoryList = (params) => {
  const url = '/shopCategory/queryList'
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 易码通商城新增类目
export const saveShopCategory = (params) => {
  return axios({
    url: '/shopCategory/saveShopCategory',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('新增类目')
    }
  })
}

// 易码通商城目录 删除 sn=categorySn
export const shopCategoryDel = params => {
  return axios({
    url: `/shopCategory/delete/${params.categorySn}`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}

// 易码通商城目录 获取子级目录列表  无分页
export const getChildList = params => {
  return axios({
    url: `/shopCategory/queryExtBySn/${params.categorySn}`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('获取子级目录列表')
    }
  })
}

// 易码通商城目录 详情
export const shopCategoryDetail = params => {
  return axios({
    url: `/shopCategory/queryBySn/${params.categorySn}`,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('详情')
    }
  })
}

// 易码通商城目录 修改状态
export const shopCategoryUpdateStatus = (params) => {
  return axios({
    url: 'shopCategory/updateStatus',
    data: params,
    method: 'post'
  })
}
