import { axios } from '@/utils/request'

//  查询区域分区信息
export const subareaQueryAll = (params) => {
  return axios({
    url: `/subarea/queryAll`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('区域分区查询')
    }
  })
}
// 查询区域
export const subareaQuerySubarea = (params) => {
  return axios({
    url: `/subarea/querySubarea`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('查询区域')
    }
  })
}
// 保存区域信息
export const subareaSaveSubarea = (params) => {
  return axios({
    url: `/subarea/saveSubarea`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('编辑区域')
    }
  })
}
// 查询区域下分区信息
export const subareaQuerySubareaArea = (params) => {
  return axios({
    url: `/subarea/querySubareaArea`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('查询分区')
    }
  })
}
// 保存分区信息
export const subareaSaveSubareaArea = (params) => {
  return axios({
    url: `/subarea/saveSubareaArea`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('编辑分区')
    }
  })
}
// 根据sn删除区域信息
export const deleteSubareaBySn = (params) => {
  return axios({
    url: `/subarea/deleteSubarea/${params.sn}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除区域信息')
    }
  })
}
//  根据sn删除分区信息
export const deleteSubareaAreaBySn = (params) => {
  return axios({
    url: `/subarea/deleteSubareaArea/${params.sn}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除分区信息')
    }
  })
}

// 分区批量绑定经销商
export const batchBindDealer = (params) => {
  return axios({
    url: `/subareaAreaDealer/batchBind`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('批量绑定经销商')
    }
  })
}
// 分区绑定经销商
export const bindDealer = (params) => {
  return axios({
    url: `/subareaAreaDealer/bind`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('绑定经销商')
    }
  })
}
// 删除绑定关系
export const deleteBindDealer = (params) => {
  return axios({
    url: `/subareaAreaDealer/deleteBind/${params.sn}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除经销商')
    }
  })
}
// 查询绑定经销商列表
export const queryPageAreaDealer = (params) => {
  return axios({
    url: `/subareaAreaDealer/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('查看经销商')
    }
  })
}