import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/bigStatistics',
        redirect: '/bigStatistics/realTimeSalesReport',
        component: PageView,
        meta: {
          title: '数据统计',
          icon: 'desktop',
          permission: 'M_bigScreenStatistics'
        },
        children: [
          {
            path: '/bigStatistics/realTimeSalesReport',
            redirect: '/bigStatistics/realTimeSalesReport/index',
            name: 'bigRealTimeSalesReport',
            component: BigScreen,
            meta: {
              title: '实时销售看板',
              icon: 'deployment-unit',
              permission: 'M_realTimeSalesReportIndex'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'index',
                name: 'realTimeSalesReportIndex',
                component: () => import(/* webpackChunkName: "bigScreen" */ '@/views/bigScreen/realTimeSalesReport/index'),
                meta: {
                  title: '实时销售看板'
                }
              }
            ]
          },
          {
            path: '/bigStatistics/fPanalysisReport',
            redirect: '/bigStatistics/fPanalysisReport/index',
            name: 'bigfPanalysisReport',
            component: BigScreen,
            meta: {
              title: '加盟商/产品分析',
              icon: 'interaction',
              permission: 'M_fPanalysisReportIndex'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'index',
                name: 'fPanalysisReportIndex',
                component: () => import(/* webpackChunkName: "bigScreen" */ '@/views/bigScreen/fPanalysisReport/index'),
                meta: {
                  title: '加盟商/产品分析'
                }
              }
            ]
          }
        ]
      }