import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/easyPassManagement',
        redirect: '/easyPassManagement/shoppingManagement',
        component: PageView,
        meta: {
          title: '易码通',
          icon: 'shop',
          permission: 'M_shoppingManagement'
        },
        children: [
          {
            path: '/easyPassManagement/shoppingManagement',
            redirect: '/easyPassManagement/shoppingManagement/list',
            name: 'shoppingManagement',
            component: BlankLayout,
            meta: {
              title: '商城类目',
              icon: 'file-ppt',
              permission: 'M_shoppingManagementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'shoppingManagementList',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/shoppingManagement/list.vue'),
                meta: {
                  title: '商城类目列表',
                  icon: 'file-ppt',
                  hidden: true,
                  permission: 'M_shoppingManagementList'
                }
              },
              {
                path: 'chooseProduct/:sn',
                name: 'chooseProductList',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/shoppingManagement/chooseProduct.vue'),
                meta: {
                  title: '商城类目产品列表',
                  icon: 'file-ppt',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_category_chooseProduct'
                }
              }
            ]
          },
          {
            path: '/easyPassManagement/shoppingProducts',
            redirect: '/easyPassManagement/shoppingProducts/list',
            name: 'shoppingProducts',
            component: BlankLayout,
            meta: {
              title: '商城产品',
              icon: 'file-ppt',
              permission: 'M_shoppingProducts'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'shoppingProductsList',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/shoppingProducts/list.vue'),
                meta: {
                  title: '商城产品列表',
                  icon: 'file-ppt',
                  hidden: true,
                  permission: 'M_shoppingProductsList'
                }
              }
            ]
          },
          {
            path: '/easyPassManagement/promotionalActivities',
            redirect: '/easyPassManagement/promotionalActivities/list',
            name: 'promotionalActivities',
            component: BlankLayout,
            meta: {
              title: '促销活动',
              icon: 'file-ppt',
              permission: 'M_promotionalActivities'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'activityList',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/promotionalActivities/list.vue'),
                meta: {
                  title: '促销活动列表',
                  icon: 'file-ppt',
                  hidden: true,
                  permission: 'M_promotionalActivitiesList'
                }
              },
              {
                path: 'add/:pageType',
                name: 'promotionalAddActivity',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/promotionalActivities/edit.vue'),
                meta: {
                  title: '新增促销活动',
                  icon: 'file-ppt',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_promoActivitiesAdd'
                }
              },
              {
                path: 'edit/:pageType/:sn',
                name: 'promotionalEditActivity',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/promotionalActivities/edit.vue'),
                meta: {
                  title: '编辑促销活动',
                  icon: 'file-ppt',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_promoActivitiesEdit'
                }
              }
            ]
          },
          {
            path: '/easyPassManagement/promotionalProducts',
            redirect: '/easyPassManagement/promotionalProducts/list',
            name: 'promotionalProducts',
            component: BlankLayout,
            meta: {
              title: '促销产品',
              icon: 'file-ppt',
              permission: 'M_promoProduct'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'promoProductList',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/promotionalProducts/list.vue'),
                meta: {
                  title: '促销产品列表',
                  icon: 'file-ppt',
                  hidden: true,
                  permission: 'M_promoProductList'
                }
              }
            ]
          },
          {
            path: '/easyPassManagement/homepageCarouselImg',
            redirect: '/easyPassManagement/homepageCarouselImg/list',
            name: 'carouselImageList',
            component: BlankLayout,
            meta: {
              title: '首页轮播图',
              icon: 'file-ppt',
              permission: 'M_homepageCarouselImg'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'carouselImageList',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/homepageCarouselImg/list.vue'),
                meta: {
                  title: '首页轮播图列表',
                  icon: 'file-ppt',
                  hidden: true,
                  permission: 'M_homepageCarouselImgList'
                }
              },
              {
                path: 'add',
                name: 'carouselImageAdd',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/homepageCarouselImg/edit.vue'),
                meta: {
                  title: '新增轮播图',
                  icon: 'file-ppt',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_homepageCarouselAdd'
                }
              },
              {
                path: 'edit/:sn/:bizType',
                name: 'carouselImageEdit',
                component: () => import(/* webpackChunkName: "easyPassManagement" */ '@/views/easyPassManagement/homepageCarouselImg/edit.vue'),
                meta: {
                  title: '编辑轮播图',
                  icon: 'file-ppt',
                  hidden: true,
                  replaceTab: true,
                  permission: 'B_homepageCarouselEdit'
                }
              }
            ]
          }
        ]
      }