import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/expenseManagement',
        redirect: '/expenseManagement/expenseReimbursement',
        component: PageView,
        meta: {
          title: '费用报销',
          icon: 'account-book',
          permission: 'M_expenseManagement'
        },
        children: [
          {
            path: '/expenseManagement/expenseReimbursement',
            redirect: '/expenseManagement/expenseReimbursement/list',
            name: 'expenseReimbursement',
            component: BlankLayout,
            meta: {
              title: '费用报销单',
              icon: 'monitor',
              permission: 'M_expenseReimbursementList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'expenseReimbursementList',
                component: () => import(/* webpackChunkName: "expenseManagement" */ '@/views/expenseManagement/expenseReimbursement/list.vue'),
                meta: {
                  title: '费用报销单列表',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'M_expenseReimbursementList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'expenseReimbursementListDetail',
                component: () => import(/* webpackChunkName: "expenseManagement" */ '@/views/expenseManagement/expenseReimbursement/detail.vue'),
                meta: {
                  title: '费用报销单详情',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_eRdetail'
                }
              },
              {
                path: 'edit/:sn',
                name: 'expenseReimbursementEdit',
                component: () => import(/* webpackChunkName: "expenseManagement" */ '@/views/expenseManagement/expenseReimbursement/add.vue'),
                meta: {
                  title: '编辑费用报销单',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_ERtEdit'
                }
              }
            ]
          },
          {
            path: '/expenseManagement/expenseReimbursementDetail',
            redirect: '/expenseManagement/expenseReimbursementDetail/list',
            name: 'expenseReimbursementDetail',
            component: BlankLayout,
            meta: {
              title: '费用报销明细统计',
              icon: 'audit',
              permission: 'M_expenseReimbursementDetailList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'expenseReimbursementDetailList',
                component: () => import(/* webpackChunkName: "expenseManagement" */ '@/views/expenseManagement/expenseReimbursementDetail/list.vue'),
                meta: {
                  title: '费用报销明细统计列表',
                  icon: 'audit',
                  hidden: true,
                  permission: 'M_expenseReimbursementDetailList'
                }
              }
            ]
          }
        ]
      } 