import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/financialManagement',
        redirect: '/financialManagement/warehousingConfirmation',
        component: PageView,
        meta: {
          title: '财务管理',
          icon: 'property-safety',
          permission: 'M_financialManagement'
        },
        children: [
          {
            path: '/financialManagement/warehousingConfirmation',
            redirect: '/financialManagement/warehousingConfirmation/list',
            name: 'warehousingConfirmation',
            component: BlankLayout,
            meta: {
              title: '入库确认',
              icon: 'vertical-align-bottom',
              permission: 'M_warehousingConfirmationList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehousingConfirmationList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/warehousingConfirmation/list.vue'),
                meta: {
                  title: '入库确认列表',
                  icon: 'vertical-align-bottom',
                  hidden: true,
                  permission: 'M_warehousingConfirmationList'
                }
              }
            ]
          },
          {
            path: '/financialManagement/financialCollection',
            redirect: '/financialManagement/financialCollection/list',
            name: 'financialCollection',
            component: BlankLayout,
            meta: {
              title: '财务收款',
              icon: 'pay-circle',
              permission: 'M_financialCollectionList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'financialCollectionList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialCollection/list.vue'),
                meta: {
                  title: '财务收款列表',
                  icon: 'pay-circle',
                  hidden: true,
                  permission: 'M_financialCollectionList'
                }
              },
              {
                path: 'detail/:sn',
                name: 'financialCollectionDetail',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialCollection/detail.vue'),
                meta: {
                  title: '财务收款详情',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_fc_detail'
                }
              },
              {
                path: 'edit/:sn/:type',
                name: 'financialCollectionEdit',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/financialCollection/edit.vue'),
                meta: {
                  title: '编辑财务收款',
                  icon: 'monitor',
                  hidden: true,
                  permission: 'B_fc_edit'
                }
              }
            ]
          },
          {
            path: '/financialManagement/collectionDetailStatic',
            redirect: '/financialManagement/collectionDetailStatic/list',
            name: 'collectionDetailStatic',
            component: BlankLayout,
            meta: {
              title: '财务收款明细统计',
              icon: 'vertical-align-top',
              permission: 'M_FC_Details_list'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'collectionDetailStaticList',
                component: () => import(/* webpackChunkName: "financialManagement" */ '@/views/financialManagement/collectionDetailStatic/list.vue'),
                meta: {
                  title: '财务收款明细统计列表',
                  icon: 'vertical-align-top',
                  hidden: true,
                  permission: 'M_FC_Details_list'
                }
              }
            ]
          }
        ]
      }