import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/purchasingManagement',
        redirect: '/purchasingManagement/purchaseOrder',
        component: PageView,
        meta: {
          title: '采购管理',
          icon: 'money-collect',
          permission: 'M_purchasingManagement'
        },
        children: [
          {
            path: '/purchasingManagement/purchaseReceipt',
            redirect: '/purchasingManagement/purchaseReceipt/list',
            name: 'purchaseReceipt',
            component: BlankLayout,
            meta: {
              title: '采购入库',
              icon: 'gold',
              permission: 'M_purchaseReceipt'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseReceiptList',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReceipt/list.vue'),
                meta: {
                  title: '采购入库列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_purchaseReceiptList'
                }
              },
              {
                path: 'edit',
                name: 'purchaseReceiptEdit',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReceipt/edit.vue'),
                meta: {
                  title: '编辑采购入库单',
                  icon: 'gold',
                  hidden: true
                }
              }
            ]
          },
          {
            path: '/purchasingManagement/bulkWarehousingOrder',
            redirect: '/purchasingManagement/bulkWarehousingOrder/list',
            name: 'bulkWarehousingOrder',
            component: BlankLayout,
            meta: {
              title: '散件入库',
              icon: 'gold',
              permission: 'M_bulkWarehousingOrderList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'bulkWarehousingOrderList',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/bulkWarehousingOrder/list.vue'),
                meta: {
                  title: '散件入库单列表',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_bulkWarehousingOrderList'
                }
              },
              {
                path: 'add/:id/:sn',
                name: 'bulkWarehousingOrderAdd',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '新增散件入库单',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_sparePartsEdit'
                }
              },
              {
                path: 'edit/:id/:sn',
                name: 'bulkWarehousingOrderEdit',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/bulkWarehousingOrder/edit.vue'),
                meta: {
                  title: '编辑散件入库单',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_sparePartsEdit'
                }
              }
            ]
          },
          {
            path: '/purchasingManagement/purchaseReturn',
            redirect: '/purchasingManagement/purchaseReturn/list',
            name: 'purchaseReturn',
            component: BlankLayout,
            meta: {
              title: '采购退货',
              icon: 'gold',
              permission: 'M_purchaseReturn'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'purchaseReturnList',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturn/list.vue'),
                meta: {
                  title: '采购退货',
                  icon: 'gold',
                  hidden: true,
                  permission: 'M_purchaseReturnList'
                }
              },
              {
                path: 'add',
                name: 'purchaseReturnAdd',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturn/purchaseReturnDeatil.vue'),
                meta: {
                  title: '新增采购退货',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_purchaseReturnEdit'
                }
              },
              {
                path: 'edit',
                name: 'purchaseReturnEdit',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturn/purchaseReturnDeatil.vue'),
                meta: {
                  title: '编辑采购退货(不抓单)',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_purchaseReturnEdit'
                }
              },
              {
                path: 'editGrab',
                name: 'purchaseReturnEditGrab',
                component: () => import(/* webpackChunkName: "purchasingManagement" */ '@/views/purchasingManagement/purchaseReturn/purchaseReturnDeatil.vue'),
                meta: {
                  title: '编辑采购退货(抓单)',
                  icon: 'gold',
                  hidden: true,
                  permission: 'B_purchaseReturnEdit'
                }
              }
            ]
          }
        ]
      }