import { UserLayout, BasicLayout, BlankLayout, BigScreen, PageView } from '@/layouts'

export default {
  path: '/otherReport',
  redirect: '/reportData/salesOrderTotal',
  component: PageView,
  meta: {
    title: '其它报表',
    icon: 'project',
    permission: 'M_otherReport'
  },
  children: [
    {
      path: '/reportData/tireSalesReport',
      redirect: '/reportData/tireSalesReport/index',
      name: 'tireSalesReport',
      component: BlankLayout,
      meta: {
        title: '轮胎统计报表',
        icon: 'profile',
        permission: 'M_tireSalesReportList'
      },
      hideChildrenInMenu: true,
      children: [
        {
          path: 'index',
          name: 'tireSalesReportIndex',
          component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/tireSalesReport/index.vue'),
          meta: {
            title: '轮胎统计报表',
            icon: 'profile',
            hidden: true,
            permission: 'M_tireSalesReportList'
          }
        }
      ]
    },
    // {
    //   path: '/reportData/tireFeeReport',
    //   redirect: '/reportData/tireFeeReport/index',
    //   name: 'tireFeeReport',
    //   component: BlankLayout,
    //   meta: {
    //     title: '轮胎费用报表',
    //     icon: 'profile',
    //     permission: 'M_tireFeeReportList'
    //   },
    //   hideChildrenInMenu: true,
    //   children: [
    //     {
    //       path: 'index',
    //       name: 'tireFeeReportIndex',
    //       component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/tireFeeReport/index.vue'),
    //       meta: {
    //         title: '轮胎费用报表',
    //         icon: 'profile',
    //         hidden: true,
    //         permission: 'M_tireFeeReportList'
    //       }
    //     }
    //   ]
    // },
    {
      path: '/reportData/tireSubsidyReport',
      redirect: '/reportData/tireSubsidyReport/index',
      name: 'tireSubsidyReport',
      component: BlankLayout,
      meta: {
        title: '轮胎补贴报表',
        icon: 'profile',
        permission: 'M_tireSubsidyList'
      },
      hideChildrenInMenu: true,
      children: [
        {
          path: 'index',
          name: 'tireSubsidyReportIndex',
          component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/tireSubsidyReport/index.vue'),
          meta: {
            title: '轮胎补贴报表',
            icon: 'profile',
            hidden: true,
            permission: 'M_tireSubsidyList'
          }
        }
      ]
    },
    {
      path: '/reportData/expenseAccountBearerReport',
      redirect: '/reportData/expenseAccountBearerReport/list',
      name: 'expenseAccountBearerReport',
      component: BlankLayout,
      meta: {
        title: '费用汇总报表(按承担方)',
        icon: 'profile',
        permission: 'M_expenseAccountBearerReportList'
      },
      hideChildrenInMenu: true,
      children: [
        {
          path: 'list',
          name: 'expenseAccountBearerReportList',
          component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/expenseAccountReport/bearerList.vue'),
          meta: {
            title: '费用汇总报表(按承担方)',
            icon: 'profile',
            hidden: true,
            permission: 'M_expenseAccountBearerReportList'
          }
        }
      ]
    },
    {
      path: '/reportData/expenseAccountCategoryReport',
      redirect: '/reportData/expenseAccountCategoryReport/list',
      name: 'expenseAccountCategoryReport',
      component: BlankLayout,
      meta: {
        title: '费用汇总报表(按品类)',
        icon: 'profile',
        permission: 'M_expenseAccountCategoryReportList'
      },
      hideChildrenInMenu: true,
      children: [
        {
          path: 'list',
          name: 'expenseAccountCategoryReportList',
          component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/expenseAccountReport/categoryList.vue'),
          meta: {
            title: '费用汇总报表(按品类)',
            icon: 'profile',
            hidden: true,
            permission: 'M_expenseAccountCategoryReportList'
          }
        }
      ]
    },
    {
      path: '/reportData/receivedSendStorageReport',
      redirect: '/reportData/receivedSendStorageReport/index',
      name: 'receivedSendStorageReport',
      component: BlankLayout,
      meta: {
        title: '收发存报表',
        icon: 'profile',
        permission: 'M_receivedSendStorageReport'
      },
      hideChildrenInMenu: true,
      children: [
        {
          path: 'index',
          name: 'receivedSendStorageReportIndex',
          component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/receivedSendStorageReport/index.vue'),
          meta: {
            title: '收发存报表',
            icon: 'profile',
            hidden: true,
            permission: 'M_receivedSendStorageReportList'
          }
        }
      ]
    },
    {
      path: '/dataExport/exportSales',
      redirect: '/dataExport/exportSales/list',
      name: 'exportSales',
      component: BlankLayout,
      meta: {
        title: '导出销售',
        icon: 'gold',
        permission: 'M_exportSales'
      },
      hideChildrenInMenu: true,
      children: [
        {
          path: 'list',
          name: 'exportSalesList',
          component: () => import(/* webpackChunkName: "dataExport" */ '@/views/dataExport/exportSales/list.vue'),
          meta: {
            title: '导出销售',
            icon: 'gold',
            hidden: true,
            permission: 'M_exportSales'
          }
        }
      ]
    },
    {
      path: '/dataExport/exportCheck',
      redirect: '/dataExport/exportCheck/list',
      name: 'exportCheck',
      component: BlankLayout,
      meta: {
        title: '导出盘点',
        icon: 'gold',
        permission: 'M_exportCheck'
      },
      hideChildrenInMenu: true,
      children: [
        {
          path: 'list',
          name: 'exportCheckList',
          component: () => import(/* webpackChunkName: "dataExport" */ '@/views/dataExport/exportCheck/list.vue'),
          meta: {
            title: '导出盘点',
            icon: 'gold',
            hidden: true,
            permission: 'M_exportCheck'
          }
        }
      ]
    }
  ]
}
