import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/purchasingReport',
        redirect: '/reportData/salesOrderTotal',
        component: PageView,
        meta: {
          title: '采购报表',
          icon: 'project',
          permission: 'M_purchasingReport'
        },
        children: [
          {
            path: '/reportData/urchaseReturn',
            redirect: '/reportData/urchaseReturn/list',
            name: 'urchaseReturnList',
            component: BlankLayout,
            meta: {
              title: '采购退货单报表',
              icon: 'profile',
              permission: 'M_urchaseReturn'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'urchaseReturnList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/urchaseReturn/list.vue'),
                meta: {
                  title: '采购退货单报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_urchaseReturnList'
                }
              }
            ]
          },
          {
            path: '/reportData/urchaseDetailReturn',
            redirect: '/reportData/urchaseDetailReturn/detailList',
            name: 'urchaseDetailReturnList',
            component: BlankLayout,
            meta: {
              title: '采购退货单明细报表',
              icon: 'profile',
              permission: 'M_urchaseDetailReturn'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'detailList',
                name: 'urchaseDetailReturnList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/urchaseDetailReturn/detailList.vue'),
                meta: {
                  title: '采购退货单明细报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_urchaseDetailReturnList'
                }
              }
            ]
          },
          {
            path: '/reportData/billingBackReport',
            redirect: '/reportData/billingBackReport/list',
            name: 'billingBackReport',
            component: BlankLayout,
            meta: {
              title: '开单采退报表',
              icon: 'profile',
              permission: 'M_billingBackReport'
            },
            hideChildrenInMenu: true,
            children: [{
              path: 'list',
              name: 'billingBackReportList',
              component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/billingBackReport/list.vue'),
              meta: {
                title: '开单采退报表列表',
                icon: 'profile',
                hidden: true,
                permission: 'M_billingBackReportList'
              }
            }]
          },
          {
            path: '/reportData/billingOrderReport',
            redirect: '/reportData/billingOrderReport/list',
            name: 'billingOrderReport',
            component: BlankLayout,
            meta: {
              title: '开单采退单报表',
              icon: 'profile',
              permission: 'M_billingOrderReport'
            },
            hideChildrenInMenu: true,
            children: [{
              path: 'list',
              name: 'billingOrderReportList',
              component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/billingOrderReport/list.vue'),
              meta: {
                title: '开单采退单报表列表',
                icon: 'profile',
                hidden: true,
                permission: 'M_billingOrderReportList'
              }
            }]
          },
          {
            path: '/reportData/warehousingOrder',
            redirect: '/reportData/warehousingOrder/list',
            name: 'warehousingOrder',
            component: BlankLayout,
            meta: {
              title: '入库单报表',
              icon: 'profile',
              permission: 'M_warehousingOrderList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehousingOrderList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/warehousingOrder/list.vue'),
                meta: {
                  title: '入库单报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_warehousingOrderList'
                }
              }
            ]
          },
          {
            path: '/reportData/warehousingOrderDetail',
            redirect: '/reportData/warehousingOrderDetail/list',
            name: 'warehousingOrderDetail',
            component: BlankLayout,
            meta: {
              title: '入库单明细报表',
              icon: 'profile',
              permission: 'M_warehousingOrderDetailList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'warehousingOrderDetailList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/warehousingOrderDetail/list.vue'),
                meta: {
                  title: '入库单明细报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_warehousingOrderDetailList'
                }
              }
            ]
          },
        ]
      }