import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/spreadReport',
        redirect: '/reportData/salesOrderTotal',
        component: PageView,
        meta: {
          title: '差价报表',
          icon: 'project',
          permission: 'M_spreadReport'
        },
        children: [
          {
            path: '/reportData/hPriceDifferenceDetailReport',
            redirect: '/reportData/hPriceDifferenceDetailReport/list',
            name: 'hPriceDifferenceDetailReport',
            component: BlankLayout,
            meta: {
              title: '总部差价明细报表',
              icon: 'profile',
              permission: 'M_hPriceDifferenceDetailReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'hPriceDifferenceDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/hPriceDifferenceDetailReport/list.vue'),
                meta: {
                  title: '总部差价明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_hPriceDifferenceDetailReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/priceDifferenceDetailReport',
            redirect: '/reportData/priceDifferenceDetailReport/list',
            name: 'priceDifferenceDetailReport',
            component: BlankLayout,
            meta: {
              title: '差价明细报表',
              icon: 'profile',
              permission: 'M_priceDifferenceDetailReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'priceDifferenceDetailReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/priceDifferenceDetailReport/list.vue'),
                meta: {
                  title: '差价明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_priceDifferenceDetailReportList'
                }
              }
            ]
          },
          {
            path: '/productRebateReport/index',
            redirect: '/productRebateReport/index/list',
            name: 'productRebateReportList',
            component: BlankLayout,
            meta: {
              title: '产品返利明细表',
              icon: 'profile',
              permission: 'M_productRebateReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'productRebateReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/productRebateReport/index.vue'),
                meta: {
                  title: '产品返利明细表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_productRebateReportList'
                }
              }
            ]
          }
        ]
      }