import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/transferReport',
        redirect: '/reportData/salesOrderTotal',
        component: PageView,
        meta: {
          title: '调拨报表',
          icon: 'project',
          permission: 'M_transferReport'
        },
        children: [
          {
            path: '/reportData/allocationOrderTotal',
            redirect: '/reportData/allocationOrderTotal/list',
            name: 'allocationOrderTotal',
            component: BlankLayout,
            meta: {
              title: '调拨开单统计',
              icon: 'profile',
              permission: 'M_allocationOrderTotalList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'allocationOrderTotalList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/allocationOrderTotal/list.vue'),
                meta: {
                  title: '调拨开单列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_allocationOrderTotalList'
                }
              }
            ]
          },
          {
            path: '/reportData/allocationDetails',
            redirect: '/reportData/allocationDetails/list',
            name: 'allocationDetails',
            component: BlankLayout,
            meta: {
              title: '调拨明细',
              icon: 'profile',
              permission: 'M_allocationDetailsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'allocationDetailsList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/allocationDetails/list.vue'),
                meta: {
                  title: '调拨明细列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_allocationDetailsList'
                }
              }
            ]
          },
          {
            path: '/reportData/transferReturnReport',
            redirect: '/reportData/transferReturnReport/list',
            name: 'transferReturnReport',
            component: BlankLayout,
            meta: {
              title: '调拨退货单报表',
              icon: 'profile',
              permission: 'M_transferReturnReportList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'transferReturnReportList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/transferReturnReport/list.vue'),
                meta: {
                  title: '调拨退货单报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_transferReturnReportList'
                }
              }
            ]
          },
          {
            path: '/reportData/transferReturnDetailReport',
            redirect: '/reportData/transferReturnDetailReport/list',
            name: 'transferReturnDetailReport',
            component: BlankLayout,
            meta: {
              title: '调拨退货单明细报表',
              icon: 'profile',
              permission: 'M_transferReturnDetailReportList'
            },
            hideChildrenInMenu: true,
            children: [{
              path: 'list',
              name: 'transferReturnDetailReportList',
              component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/transferReturnDetailReport/list.vue'),
              meta: {
                title: '调拨退货单明细报表列表',
                icon: 'profile',
                hidden: true,
                permission: 'M_transferReturnDetailReportList'
              }
            }]
          },
          {
            path: '/reportData/allocationPresentation',
            redirect: '/reportData/allocationPresentation/list',
            name: 'allocationPresentation',
            component: BlankLayout,
            meta: {
              title: '调拨交单报表',
              icon: 'profile',
              permission: 'M_allocationPresentationList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'allocationPresentationList',
                component: () => import(/* webpackChunkName: "reportData" */ '@/views/reportData/allocationPresentation/list.vue'),
                meta: {
                  title: '调拨交单报表列表',
                  icon: 'profile',
                  hidden: true,
                  permission: 'M_allocationPresentationList'
                }
              }
            ]
          },
        ]
      }