import {
  UserLayout,
  BasicLayout,
  BlankLayout,
  BigScreen,
  PageView
} from '@/layouts'

export default {
        path: '/supplierManagement',
        redirect: '/supplierManagement/supplierInfo',
        component: PageView,
        meta: {
          title: '供应商管理',
          icon: 'team',
          permission: 'M_supplierManagement'
        },
        children: [
          {
            path: '/supplierManagement/supplierInfo',
            redirect: '/supplierManagement/supplierInfo/list',
            name: 'supplierInfo',
            component: BlankLayout,
            meta: {
              title: '供应商列表',
              icon: 'team',
              permission: 'M_supplierInfoList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'supplierInfoList',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/list.vue'),
                meta: {
                  title: '供应商列表',
                  icon: 'team',
                  hidden: true,
                  permission: 'M_supplierInfoList'
                }
              },
              {
                path: 'add',
                name: 'supplierInfoAdd',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/edit.vue'),
                meta: {
                  title: '新增供应商',
                  icon: 'team',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'edit/:id',
                name: 'supplierInfoEdit',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/supplierInfo/edit.vue'),
                meta: {
                  title: '编辑供应商',
                  icon: 'team',
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              },
              {
                path: 'associatedProduct/:sn/:name',
                name: 'associatedProduct',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/associatedProduct/add.vue'),
                meta: {
                  title: '关联产品',
                  icon: 'team',
                  replaceTab: true,
                  hidden: true
                  // permission: 'B_goodsManage_edit'
                }
              }
            ]
          },
          {
            path: '/supplierManagement/costSetting',
            redirect: '/supplierManagement/costSetting/list',
            name: 'costSetting',
            component: BlankLayout,
            meta: {
              title: '成本设置',
              icon: 'build',
              permission: 'M_costSettingList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'costSettingList',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/costSetting/list.vue'),
                meta: {
                  title: '成本设置列表',
                  icon: 'build',
                  hidden: true
                }
              }
            ]
          },
          {
            path: '/supplierManagement/costSetRecord',
            redirect: '/supplierManagement/costSetRecord/list',
            name: 'costSetRecord',
            component: BlankLayout,
            meta: {
              title: '成本变更记录',
              icon: 'build',
              permission: 'M_costSetRecordList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'costSetRecordList',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/costSetRecord/list.vue'),
                meta: {
                  title: '成本变更记录列表',
                  icon: 'build',
                  hidden: true
                }
              }
            ]
          },
          {
            path: '/supplierManagement/associatedProductDetails',
            redirect: '/supplierManagement/associatedProductDetails/list',
            name: 'associatedProductDetails',
            component: BlankLayout,
            meta: {
              title: '关联产品明细表',
              icon: 'build',
              permission: 'M_associatedProductDetailsList'
            },
            hideChildrenInMenu: true,
            children: [
              {
                path: 'list',
                name: 'associatedProductDetailsList',
                component: () => import(/* webpackChunkName: "supplierManagement" */ '@/views/supplierManagement/associatedProductDetails/list.vue'),
                meta: {
                  title: '关联产品明细列表',
                  icon: 'build',
                  hidden: true,
                  permission: 'M_associatedProductDetailsList'
                }
              }
            ]
          }
        ]
      }